1. Sosrique's Avatar
    I'm using a jar library (Apache log4j-1.2.16.jar ) in an application. This application is developed initially targetting on Android 4.1 and up.
    Now the need is to make it run on Android 5.x and up.

    The problem is that even changing target and building sdk, application crashes on Android 5.1 we are testing on, giving a NoClassDefError on a class of the mentioned library.

    Tryed to change sdk version for building, and even got a newer version of the library but it doesn't work.

    However on Android 4.x devices it all goes smoothly.

    So i'm wandering if the matter has to do with the newer versions of Android, in particular in how the ClassLoaders work.

    Has anyone heard about this matter and possibly know a fix?

    Thank to anyone who could help..
    07-25-2016 03:51 AM
  2. B. Diddy's Avatar
    Moved to the Software Development forum for better traffic.
    07-25-2016 08:20 PM

Similar Threads

  1. I'm Sending out SOS Messages (Not on Purpose)
    By monicakm in forum Samsung Galaxy S7
    Replies: 7
    Last Post: 05-21-2021, 06:00 AM
  2. Replies: 3
    Last Post: 11-09-2016, 12:02 PM
  3. Annoying ads on Xiaomi Redmi Pro 3
    By AC Question in forum Ask a Question
    Replies: 1
    Last Post: 09-04-2016, 12:48 PM
  4. how do i get to the systems tools on my android device
    By AC Question in forum Ask a Question
    Replies: 1
    Last Post: 07-25-2016, 08:04 AM
  5. Replies: 1
    Last Post: 07-25-2016, 02:17 AM
LINK TO POST COPIED TO CLIPBOARD